﻿.sbaifenbi {
    width: 90%;
    margin: 0 auto;
    border: 2px solid #5d5d5d;
    border-radius: 25px; 
    padding: 30px;
    box-sizing: border-box;
}
.sbaifenbi img {
  max-width: 95%;
  max-height: 95%;
  object-fit: contain; /* 或 cover，根据需要 */
  display: block;
  margin: 0 auto;
}

  .lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.8);
    display: none; /* 默认隐藏 */
    justify-content: center;
    align-items: center;
    z-index: 1000;
    overflow: auto; /* 允许内部滚动 */
  }
  .lightbox img {
    max-width: 90%;
    max-height: 90%;
    cursor: grab; /* 更改光标样式为可抓取 */
    transform-origin: 50% 50%; /* 设置缩放中心点为图片中心 */
    transition: transform 0.2s ease; /* 平滑过渡效果 */
    position: absolute; /* 图片绝对定位 */
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) scale(1); /* 初始居中并设置初始缩放比例 */
  }
  .lightbox:active img {
    cursor: grabbing; /* 拖动时更改光标样式 */
  }